org.apache.lucene.facet

## Class FacetResult

- java.lang.Object
- - org.apache.lucene.facet.FacetResult

    public final class FacetResult
    extends Object

Counts or aggregates for a single dimension.

### Field Summary

Fields
`int` `childCount` How many child labels were encountered.
`String` `dim` Dimension that was requested.
`LabelAndValue[]` `labelValues` Child counts.
`String[]` `path` Path whose children were requested.
`Number` `value` Total value for this path (sum of all child counts, or sum of all child values), even those not included in the topN.

### Constructor Summary

Constructors
Constructor and Description
`FacetResult(String dim, String[] path, Number value, LabelAndValue[] labelValues, int childCount)` Sole constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object _other)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dim

    public final String dim

Dimension that was requested.

#### path

    public final String[] path

Path whose children were requested.

#### value

    public final Number value

Total value for this path (sum of all child counts, or sum of all child values), even those not included in the topN.

#### childCount

    public final int childCount

How many child labels were encountered.

#### labelValues

    public final LabelAndValue[] labelValues

Child counts.

### Constructor Detail

#### FacetResult

    public FacetResult(String dim,
                       String[] path,
                       Number value,
                       LabelAndValue[] labelValues,
                       int childCount)

Sole constructor.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object _other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`